%global srcname pytest-astropy
%global sum The py.test astropy plugin

Name:           python-%{srcname}
Version:        0.2.1
Release:        1%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-arraydiff
BuildRequires:  python3-pytest-doctestplus
BuildRequires:  python3-pytest-openfiles
BuildRequires:  python3-pytest-remotedata
BuildRequires:  python3-setuptools

%description
This package provides a plugin for the pytest framework that is used for
testing Astropy and its affiliated packages. 


%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-pytest
Requires:       python3-pytest-arraydiff
Requires:       python3-pytest-doctestplus
Requires:       python3-pytest-openfiles
Requires:       python3-pytest-remotedata
Requires:       python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package provides a plugin for the pytest framework that is used for
testing Astropy and its affiliated packages. 


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.2.0-1
- initial packaging effort

